import json
import os

from icinga1_objects_upgrader.icinga1 import parse_file


def test_parse_files():
    os.chdir(os.path.dirname(__file__))
    data_dir = os.path.join("data/icinga1_objects")
    for root, dirs, files in os.walk(data_dir):  # pylint: disable=unused-variable
        for path in [os.path.join(root, file) for file in files]:
            if not path.lower().endswith(".cfg"):
                continue
            expected_json_file = path.replace(".cfg", ".json")
            assert os.path.exists(
                expected_json_file
            ), f"JSON file corresponding to {path} not found"
            objects = parse_file(path)
            with open(expected_json_file, encoding="utf-8") as fd:
                expected_objects = json.loads(fd.read())
            assert objects == expected_objects
